summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAustin English <wizardedit@gentoo.org>2016-09-08 18:18:15 -0500
committerAustin English <wizardedit@gentoo.org>2016-09-14 12:26:33 -0500
commit04b75242f9222e1d0a45a3f0397a449b657e4c57 (patch)
tree54d439703824fdafba4093feea002f55bc72aa3c /games-board
parentgames-board/capicity: remove deprecated games eclass (diff)
downloadgentoo-04b75242f9222e1d0a45a3f0397a449b657e4c57.tar.gz
gentoo-04b75242f9222e1d0a45a3f0397a449b657e4c57.tar.bz2
gentoo-04b75242f9222e1d0a45a3f0397a449b657e4c57.zip
games-board/ccgo: remove deprecated games eclass
Also update to EAPI 6 Gentoo-Bug: https://bugs.gentoo.org/574082 Package-Manager: portage-2.3.0
Diffstat (limited to 'games-board')
-rw-r--r--games-board/ccgo/ccgo-0.3.6.5-r1.ebuild61
-rw-r--r--games-board/ccgo/files/ccgo-0.3.6.5-gcc4.patch4
2 files changed, 63 insertions, 2 deletions
diff --git a/games-board/ccgo/ccgo-0.3.6.5-r1.ebuild b/games-board/ccgo/ccgo-0.3.6.5-r1.ebuild
new file mode 100644
index 00000000000..1a2d6f3e14b
--- /dev/null
+++ b/games-board/ccgo/ccgo-0.3.6.5-r1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools eutils toolchain-funcs flag-o-matic
+
+DESCRIPTION="An IGS client written in C++"
+HOMEPAGE="http://ccdw.org/~cjj/prog/ccgo/"
+SRC_URI="http://ccdw.org/~cjj/prog/ccgo/src/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="nls"
+
+RDEPEND="
+ >=dev-cpp/gconfmm-2.6
+ >=dev-cpp/gtkmm-2.4:2.4
+ nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-gcc4.patch
+)
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e '/^Encoding/d' \
+ -e '/^Categories/ { s/Application;//; s/$/GTK;/ }' \
+ ccgo.desktop.in || die
+
+ sed -i \
+ -e '/^localedir/s/=.*/=@localedir@/' \
+ -e '/^appicondir/s:=.*:=/usr/share/pixmaps:' \
+ -e '/^desktopdir/s:=.*:=/usr/share/applications:' \
+ Makefile.am || die
+
+ # cargo cult from bug #569528
+ append-cxxflags -std=c++11 -fpermissive
+
+ find . -name '*.hh' -exec sed -i -e '/sigc++\/object.h/d' {} + || die
+ find . -name '*.cc' -exec sed -i -e 's/(bind(/(sigc::bind(/' {} + || die
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --localedir=/usr/share/locale \
+ $(use_enable nls)
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)"
+}
diff --git a/games-board/ccgo/files/ccgo-0.3.6.5-gcc4.patch b/games-board/ccgo/files/ccgo-0.3.6.5-gcc4.patch
index f7a049df768..79f73863670 100644
--- a/games-board/ccgo/files/ccgo-0.3.6.5-gcc4.patch
+++ b/games-board/ccgo/files/ccgo-0.3.6.5-gcc4.patch
@@ -1,5 +1,5 @@
---- gtk/board.cc.orig
-+++ gtk/board.cc
+--- a/gtk/board.cc
++++ b/gtk/board.cc
@@ -20,9 +20,7 @@
*/